Public Member Functions | Public Attributes | List of all members
RagTime5GraphInternal::ClusterButton Struct Referencefinal

the button cluster More...

Inheritance diagram for RagTime5GraphInternal::ClusterButton:

## Public Member Functions
| ClusterButton ()
| constructor More...
| ~ClusterButton () final
| destructor More...
Public Member Functions inherited from RagTime5ClusterManager::Cluster
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
int | m_item
| the chosen item: 0 means none More...
int | m_buttonType
| the button type: 1:push, 2:radio, 3:checkbox, 4:popup, 5:push(invisible) More...
std::map< int, librevenge::RVNGString > | m_idToItemStringMap
| the list of item strings More...
RagTime5ClusterManager::Link | m_itemNamesLink
| the item name link More...
RagTime5ClusterManager::Link | m_scriptComment
| the script comment zone More...
librevenge::RVNGString | m_buttonName
| the button name if known More...
Public Attributes inherited from RagTime5ClusterManager::Cluster
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_childLink
| the child link More...
Link | m_parentLink
| the parent link More...
Link | m_dataLink
| the main data link More...
NameLink | m_nameLink
| the name link More...
Link | m_formulaLink
| the formula cluster links (def and pos) More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Additional Inherited Members
Public Types inherited from RagTime5ClusterManager::Cluster
enum | Type { C_ColorPattern , C_FormulaDef , C_FormulaPos , C_Layout , C_Pipeline , C_Root , C_ClusterGProp , C_Sound , C_ButtonZone , C_ChartZone , C_GraphicZone , C_PictureZone , C_SpreadsheetZone , C_TextZone , C_GroupZone , C_ColorStyles , C_FormatStyles , C_GraphicStyles , C_TextStyles , C_UnitStyles , C_ClusterC , C_Empty , C_Unknown }
| the cluster type More...

## Detailed Description

the button cluster

## Constructor & Destructor Documentation

## ◆ ClusterButton()

RagTime5GraphInternal::ClusterButton::ClusterButton | ( |  | ) |
| inline

constructor

## ◆ ~ClusterButton()

RagTime5GraphInternal::ClusterButton::~ClusterButton | ( |  | ) |
| final

destructor

## Member Data Documentation

## ◆ m_buttonName

librevenge::RVNGString RagTime5GraphInternal::ClusterButton::m_buttonName

the button name if known

## ◆ m_buttonType

int RagTime5GraphInternal::ClusterButton::m_buttonType

the button type: 1:push, 2:radio, 3:checkbox, 4:popup, 5:push(invisible)

## ◆ m_idToItemStringMap

std::map<int, librevenge::RVNGString> RagTime5GraphInternal::ClusterButton::m_idToItemStringMap

the list of item strings

## ◆ m_item

int RagTime5GraphInternal::ClusterButton::m_item

the chosen item: 0 means none

## ◆ m_itemNamesLink

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterButton::m_itemNamesLink

the item name link

## ◆ m_scriptComment

RagTime5ClusterManager::Link RagTime5GraphInternal::ClusterButton::m_scriptComment

the script comment zone

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx